<?php

/**
 * This file is used to remotely install the module drd_server on a server
 * where the files of the module are available. If you do not want that to
 * happen (i.e. for security reason) then either remove this file or rename
 * it so that it can't be executed by a direct call. If you decided to do so,
 * the module itself will not be affected in any case, just that you have to
 * setup and configure it manually.
 */

/**
 * Root directory of Drupal installation.
 *
 * This assumes that you have installed this modules in the directory
 * sites/all/modules/drd_server and if this is not true in your case,
 * please adjust the first line of code accordingly.
 */
define('DRUPAL_ROOT', realpath(getcwd() . '/../../../..'));
chdir(DRUPAL_ROOT);
define('MAINTENANCE_MODE', 'update');

require_once DRUPAL_ROOT . '/includes/bootstrap.inc';
require_once DRUPAL_ROOT . '/includes/common.inc';
require_once DRUPAL_ROOT . '/includes/entity.inc';
require_once DRUPAL_ROOT . '/modules/system/system.module';

require_once DRUPAL_ROOT . '/includes/database/query.inc';
require_once DRUPAL_ROOT . '/includes/database/select.inc';

drupal_bootstrap(DRUPAL_BOOTSTRAP_FULL);

if (isset($_GET['base_url'])) {
  global $base_url;
  $base_url = check_plain($_GET['base_url']);
}

if (isset($_GET['install'])) {
  if (!module_exists('drd_server')) {
    $success = module_enable(array('drd_server'));
  }
  else if (!module_exists('aes')) {
    $success = module_enable(array('aes'));
  }
  else {
    drupal_flush_all_caches();
    $success = TRUE;
  }
  if (!$success) {
    print 'Either module DRD_SERVER or AES can not be enabled.';
  }
  else if (isset($_GET['server'])) {
    print 'Successfully installed. Please go to the ' . l('config page', 'admin/config/system/drd_settings', array('absolute' => TRUE, 'attributes' => array('target' => '_blank'))) . ' and input this IP address: ' . ip_address();
  }
  else {
    print 'installed';
  }
  exit;
}
else if (isset($_GET['uninstall'])) {
  if (module_exists('drd_server')) {
    module_disable(array('drd_server'));
  }
  else {
    drupal_flush_all_caches();
  }
  variable_del('drd_aes_keys');
  print 'uninstalled';
  exit;
}
print 'error';
